<?php

namespace TDevAgency\DeliveriesPayments\Contracts;

use TDevAgency\DeliveriesPayments\Traits\DeliveryPayment;

abstract class Payment
{
    use DeliveryPayment;

    /**
     * Return localized payment name
     *
     * @return string
     */
    abstract public function getName(): string;


    /**
     * Get payment image
     *
     * @return string
     */
    abstract public function getImage(): string;


    /**
     * U can config options in the class
     *
     * @return array
     */
    abstract public function prepareAdditionalAdminOptions(): array;

}
