<?php


namespace TDevAgency\DeliveriesPayments\Managers;

use Illuminate\Support\Facades\Config;
use TDevAgency\DeliveriesPayments\Traits\Manager;

final class PaymentManager
{

    use Manager;

    protected $type = 'payments';

    /**
     * @return mixed|null[]
     */
    protected function getConfig(): array
    {
        if (!is_null($this->driverName) && $this->driverName !== 'null') {
            return Config::get("deliveries_payments.payments.{$this->driverName}");
        }

        return ['driver' => null];
    }
}
